=== debian/changelog ===
word2x (1:0.005-1) unstable; urgency=low
  
  * Fix a typo in control file

 -- Matthew Vernon <matthew@debian.org>  Fri, 17 Sep 1999 10:42:21 +0100

word2x (1:0.005) unstable; urgency=low
	
  * New upstream version (closes: 30575)
	
 -- Matthew Vernon <matthew@debian.org>  Tue, 07 Sep 1999 15:06:01 +0000

word2x (1:0.002-4) frozen unstable; urgency=low

  * Upload to frozen with changelog included.

 -- David N. Welton <davidw@efn.org>  Tue, 24 Nov 1998 23:44:26 -0800

word2x (1:0.002-3) unstable; urgency=low

  * Fixes #29468.  Added dh_installchangelogs to debian/rules.

 -- David N. Welton <davidw@efn.org>  Sun, 15 Nov 1998 17:52:45 -0800

word2x (1:0.002-2) frozen unstable; urgency=low

  * Fixes #29048.

 -- David N. Welton <davidw@efn.org>  Mon,  9 Nov 1998 20:17:32 -0800

word2x (1:0.002-1) unstable; urgency=low

  * New upstream version.

 -- David N. Welton <davidw@efn.org>  Sat, 29 Aug 1998 15:40:44 -0700

word2x (1.5-2) unstable; urgency=low

  * Deleted menu entry - I guess that didn't really make sense.

 -- David N. Welton <davidw@efn.org>  Sun, 19 Oct 1997 16:47:05 -0700

word2x (1.5-1) unstable; urgency=low

  * Initial Release.

 -- David N. Welton <davidw@efn.org>  Fri,  3 Oct 1997 10:45:44 -0700

Local variables:
mode: debian-changelog
add-log-mailing-address: "matthew@debian.org"
End:

  
  
  
  
