=== debian/control ===
Source: word2x
Section: text
Priority: extra
Maintainer: Matthew Vernon <matthew@debian.org>
Standards-Version: 2.5.1.0

Package: word2x
Architecture: any
Depends: ${shlibs:Depends}
Description: Translates Word files into ascii text or LaTeX
 Takes Word files and transforms them into ascii text or LaTeX
