## word2x 0.005-4.1

=== Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 PROGOBJS=$(READER) word2x.o $(FMTS) $(DATEFMTS) $(GETOPT) $(ALLOCA) $(MYLIBS) 
 TARGETS=word2x rtest2
 MANP=word2x.1
-prefix=/usr/local
+prefix=/home/mcv21/packages/word2x-0.005/debian/tmp
 exec_prefix=${prefix}
 
 %.o: %.cc
@@ -112,7 +112,7 @@
 	$(CPP) -o $@ $(PROGOBJS)
 
 install: $(TARGETS) $(MANP)
-	/usr/bin/install -c $(MANP) -m 644 ${prefix}/usr/man/man1
+	/usr/bin/install -c $(MANP) -m 644 /home/mcv21/packages/word2x-0.005/debian/tmp/usr/share/man/man1
 	for I in $(TARGETS); do \
 		/usr/bin/install -c $${I} -m 755 ${exec_prefix}/usr/bin/; \
 	done
