=== debian/changelog ===
word2x (1:0.005-4.1) unstable; urgency=low

  * NMU
  * Update config.sub/guess and include <string.h> in tblock.h so
    that word2x will build on ia64.  (closes: Bug#118512)
  * Add a build-depends field in debian/control.

 -- Doug Porter <dsp@debian.org>  Wed, 14 Nov 2001 11:00:20 -0500

word2x (1:0.005-4) unstable; urgency=low

  * Set priority to optional
	
 -- Matthew Vernon <matthew@debian.org>  Tue, 10 Apr 2001 02:48:52 +0100
	

word2x (1:0.005-3) unstable; urgency=low
  
  * Rebuild to fix misc packaging issues (closes: #61551, #72512, #91090)
  * Include a working download URI (closes: #70728)
  
 -- Matthew Vernon <matthew@debian.org>  Mon, 16 Oct 2000 17:05:44 +0100

word2x (1:0.005-2) unstable; urgency=low

  * Recompile against new c++ library (closes: #57268, #53471)

 -- Matthew Vernon <matthew@debian.org>  Mon, 28 Feb 2000 10:57:23 +0000
