=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: word2x
 Section: text
-Priority: extra
+Priority: optional
 Maintainer: Matthew Vernon <matthew@debian.org>
-Standards-Version: 2.5.1.0
+Build-Depends: debhelper
+Standards-Version: 3.2.1.0
 
 Package: word2x
 Architecture: any
