=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 build:
 	$(checkdir)
-	./configure  --prefix=`pwd`/debian/tmp
+	./configure  --prefix=`pwd`/debian/tmp --mandir=`pwd`/debian/tmp/usr/share/man
 	make CFLAGS="-O2 -g -Wall"
 	touch build
 
@@ -32,7 +32,6 @@
 	install -d debian/tmp
 	cd debian/tmp && install -d `cat ../dirs`
 	make install DESTDIR=`pwd`/debian/tmp
-	echo got to the debhelper bits
 # Must have debmake installed for this to work. Otherwise please copy
 # /usr/bin/debstd into the debian directory and change debstd to
 # debian/debstd
@@ -41,13 +40,11 @@
 	dh_installchangelogs
 	dh_installmenu
 	dh_installcron
-#	/usr/bin/install -c word2x.1 -m 644 debian/tmp/usr/man/man1
 	dh_installmanpages
 	dh_movefiles
 	dh_strip
 	dh_compress
 	dh_fixperms
-	dh_suidregister
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
